5V USB Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord
5V USB Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord - from $5.59 - listed at Amazon - silver quality. Shop the
Rated 4.4 out of 5 from 14 retailer reviews.
| Retailer | Price | As of | Availability | |
|---|---|---|---|---|
| Amazon | $5.59 | 2026-10-16 | In stock | Buy at Amazon |
Prices and availability are accurate as of the dates shown and are subject to change. Any price and availability information displayed on the retailer's site at the time of purchase will apply.
We have not recorded enough price checks on this item yet to say whether the current price is good.
Data quality: silver (most retailer data present, with something minor missing). This describes how complete our record is, not how good the product is.
As an Amazon Associate, xbbuy earns from qualifying purchases. Prices and availability are captured from the retailer and can change.